[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [E-devel] imlib2 1.3.0 broken?



Am Montag, 2. Oktober 2006 21:33 schrieb Kim Woelders:
> Mathias Homann wrote:
> > Hi,
> >
> > when i build qcomicbook against imlib2 1.2.x it works just fine;
> > when i build against 1.3.0 i get the following error messages
> > when running it:
> > ***** Imlib2 Developer Warning ***** :
> >         This program is calling the Imlib call:
> >         imlib_image_get_height();
> >         With the parameter:
> >         image
> >         being NULL. Please fix your program.
> >
> >
> > but imlib_image_get_height is defined as
> > int imlib_image_get_height(void) ???
> >
> > and the code in question properly sets imlib_context_set_image
> > before calling imlib_image_get_height() or
> > imlib_image_get_width(), and in fact it works with 1.2.1 even if
> > the binary was built against 1.3.0. So, where do I fix this?
>
> I just built qcomicbook-0.3.3 with imlib2-1.3.0. Seems to work
> fine. Any chance your imlib2-1.3.0 installation is
> incomplete/broken?

No; I fixed it by now... I was using the imlib rpms from packman on my 
suse 10.1, after that i built my own from the spec file and patch 
suse was using to build 1.2.1, and the 1.3.0 source, which did the 
trick.
I dont know if the patch or the slightly different build process did 
the trick, though.


bye,
	MH

>
> /Kim

-- 
gpg key fingerprint: 5F64 4C92 9B77 DE37 D184  C5F9 B013 44E7 27BD 
763C